TCRAExercise
Date: 2008-02-28

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tcra.math
Class TCRAExercise

    java.lang.Object
      tcra.math.TCRAExercise

Direct Known Subclasses:
  QueueReasoningExercise, ResolveBoundedQueueExercise, ResolveBoundedStackExercise, ResolveStackMysteryExercise, StackReasoningExercise

    public abstract class TCRAExercise

extends java.lang.Object

TCRAExercise represents the formal specification of an interface.

Field Summary
`protected java.util.Vector<MethodContract>` | `contracts`
`protected java.lang.String` | `interfaceName`

Constructor Summary
`protected` | `TCRAExercise(java.lang.String name)`

Method Summary
`java.util.List<MethodContract>` | `getContracts()` Returns a list of the MethodContracts this exercise contains.
`java.lang.String` | `getInterfaceName()` Returns the signature of the interface.
`abstract MathModel` | `getMathRep()` Returns the mathematical model of this interface.
`java.lang.String` | `getSelfString()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### interfaceName

    protected java.lang.String interfaceName

### contracts

    protected java.util.Vector<MethodContract> contracts

Constructor Detail

### TCRAExercise

    protected TCRAExercise(java.lang.String name)

Method Detail

### getInterfaceName

    public java.lang.String getInterfaceName()

  Returns the signature of the interface.

  Returns:
    signature of the interface

### getContracts

    public java.util.List<MethodContract> getContracts()

  Returns a list of the MethodContracts this exercise contains.

  Returns:
    list of MethodContracts

### getMathRep

    public abstract MathModel getMathRep()

  Returns the mathematical model of this interface.

  Returns:
    Math model

### getSelfString

    public java.lang.String getSelfString()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD